#pragma once

#include "ofMain.h"
#include "ofxiOS.h"
#include "ofxiOSExtras.h"

//#include "ofPanGestureRecognizer.h"
//#include "ofPinchGestureRecognizer.h"
#include "ofSwipeGestureRecognizer.h"
//#include "ofTapGestureRecognizer.h"

class ofApp : public ofxiOSApp {
    
public:
    void setup();
    void update();
    void draw();
    void exit();
    
    void touchDown(ofTouchEventArgs & touch);
    void touchMoved(ofTouchEventArgs & touch);
    void touchUp(ofTouchEventArgs & touch);
    void touchDoubleTap(ofTouchEventArgs & touch);
    void touchCancelled(ofTouchEventArgs & touch);
    
    void lostFocus();
    void gotFocus();
    void gotMemoryWarning();
    void deviceOrientationChanged(int newOrientation);
    
    
    bool bAuto;
    ofImage img0, img1, img2, img3, img4, ins1,ins2,ins3;
    ofRectangle btn1,btn2,btn3,btn4,btn5;
    float posX,posY,width,height;
    int section;
    
    float btnWidth;
    float btnHeight;
    
    
    //to identify specific pan/pinch/tap/swipe gestures
    ofSwipeGestureRecognizer      swipping;
    
    void onSwipe(ofSwipeGestureRecognizerArgs & args);
    
    //info coming from ofSwipeGestureRecognizer and used by oF
    int             direction;
    int             totalSwipes;
    
    ofVideoPlayer myVideo,startVideo;
    ofSoundPlayer mySound;
    
    void ofxiOSEnableIdleTimer();
    
    int alphaFadeIn;
    
    ofRectangle textBox;
    ofTrueTypeFont font;
};


